FROM registry.yaltik.net/odoo:yaltik10c7
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

# PostgreSQL CLI
# Mandatory for pyhton2
# RUN pip install --user pgcli==2.2.0 --only-binary psycopg2
# COPY pgcli.sh ./
# Odoo specific
RUN pip install --user --no-cache-dir watchdog==0.10.7 ipython==5.10.0 && \
      mkdir -p /opt/odoo/.ipython/profile_default
COPY ipython_config.py /opt/odoo/.ipython/profile_default/
COPY shell_helpers.py /opt/odoo/
COPY shell10.sh /opt/odoo/shell.sh
COPY i18n.sh /opt/odoo/
COPY launch10.dev.sh /opt/odoo/launch10.sh
ENV DEV 1
